#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2022-09-26
# File  : view/inv_cisco_cellular_lte.py
#

from cmk.gui.i18n import _
from cmk.gui.plugins.views import (
    inventory_displayhints,
)

from cmk.gui.plugins.views.inventory import declare_invtable_view

inventory_displayhints.update({
    '.networking.cellular:': {
        'title': _('Cellular (LTE)'),
        'keyorder': [
            'imei',
            'iccid',
            'imsi',
            'fsn',
            'network',
            'country',
            'apn',
            'service_type'
        ],
        'view': 'invcellularlte_of_host',
    },
    '.networking.cellular:*.iccid': {'short': _('ICC ID'), 'title': _('Integrated Circuit Card ID (ICC ID)')},
    '.networking.cellular:*.imei': {'short': _('IMEI'), 'title': _('International Mobile Equipment Identifier (IMEI)')},
    '.networking.cellular:*.imsi': {'short': _('IMSI'),
                                    'title': _('International Mobile Subscriber Identifier (IMSI)')},
    '.networking.cellular:*.msisdn': {
        'short': _('MSISDN'),
        'title': _('Mobile Subscriber Integrated Services Digital Network Number (MSISDN')
    },
    '.networking.cellular:*.fsn': {'short': _('FSN'), 'title': _('Factory serial Number (FSN)')},
    '.networking.cellular:*.country': {'title': _('Country'), },
    '.networking.cellular:*.network': {'title': _('Network'), },
    '.networking.cellular:*.current_band': {'title': _('Current band'), },
    '.networking.cellular:*.apn': {'short': _('APN'), 'title': _('Access Point Name (APN)')},
    '.networking.cellular:*.service_type': {'title': _('Service type'), },
})

declare_invtable_view('invcellularlte', '.networking.cellular:', _('Cellular (LTE)'), _('Cellular (LTE)'))
